/*
 * Copyright 2011 Chris de Vreeze
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package eu.cdevreeze.springjdbc

import scala.collection.immutable

/**
 * Query argument lists, used in the Scala `JdbcTemplate`.
 *
 * @author Chris de Vreeze
 */
final class Args(val args: immutable.Seq[AnyRef]) extends Immutable {

  require(args ne null)

  def toArray: Array[AnyRef] = args.toArray
}

object Args {

  def apply(args: AnyRef*): Args = new Args(args.toIndexedSeq)
}
